/*
 * @(#)CDWverify.cpp
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 1999-2004 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details
 *
 * Jörg P. M. Haeger, 17.11.2002
 */

#include <stdio.h>
#include <unistd.h>

/**
 * A simple CDWverify simulation
 *
 * @version 20040106
 * @author Jörg P. M. Haeger
 */
int main(int argc, char *args[]) {
	printf("CDWverify-dummy 20040106 (part of webCDwriter)\n");

	int files = 0;
	for (int i = 1; i <= 50; i++) {
		if (i % 10 == 0)
			files++;
		printf("%d MB, %d files, %d errors, %4.1fx (%4.0f KB/s)\n",
			i, files, 0, 6.0, 900.0);
		fflush(stdout);
		sleep(1);
	}

	printf("%d files are identical, 0 files differ\n", files);

	return 0;
}
